' AR_Worst.bas for FilmStar DESIGN
' Copyright 2012 FTG Software Associates
'
' ****************************************************
'    Warning: Save modified program with new name!!!
' ****************************************************

' This program displays the worst design during tolerancing

Option Explicit       ' uses values in Evaluate..Tolerancing..Values
Option Base 1
Dim Design0$, Design1$
Const nIter = 1000     ' # of iterations, change as required

Sub Main
    Dim i%, Worst!
    Design0$ = Design
    Worst = Merit
    'CalcRandSeed 5   ' optional - gives same errors each time
    PlotClose
    StatusLabel "Iteration 1/" & CStr(nIter)
    For i = 1 To nIter
        If i Mod 50 = 0 Then StatusLabel "Iteration " & CStr(i) & "/" & CStr(nIter)
        Design$ = Design0$ ' restore current design before randomizing
        CalcRand 0,1
        If Merit > Worst! Then
            Worst! = Merit
            Design1$ = Layers$
        End If
    Next i
    PlotLegendOn True
    PlotLegend(1) = "Worst": PlotLegend(2) = "Design"
    PlotActivate
    Design$ = Design1$       ' assign worst design
    Calculate
    PlotNext
    FileSave "AR_Worst.faw"  ' save worst design
    Design$ = Design0$       ' put back original AR design
    Calculate                ' calculate original design
    PlotNext
    AxesDraw
    Replot
End Sub
