' AddNoise.bas for FilmStar DESIGN 32 bit
' Copyright 1999 FTG Software Associates
'
' ****************************************************
'    Warning: Save modified program with new name!!!
' ****************************************************
'
' This program simulates measured data by adding random
' noise to the spectrum. This is useful for testing n,k 
' algorithms in INDEX.

Option Explicit
DefInt I-N
DefSng A-H, O-Z

' Adjust standard deviation in next line 
Const StdDev = .002

Sub Main            
    Dim j, k, nData, ydata(), yd()
    k = Macro("CalcPlot;") ' Calculate and show plot
    ydata = Spectrum_Y     ' Get spectrum
    nData = UBound(ydata, 1)
    For j = 1 To nData
        ydata(j, 1) = ydata(j, 1) + StdDev * RndNorm    ' Reflectance
        ydata(j, 2) = ydata(j, 2) + StdDev * RndNorm    ' Transmittance
    Next j
    Spectrum_Y = ydata
    k = Macro("AxesDraw;Replot;Busy 0;") ' Calculate and show plot
End Sub
