'#Reference {00020813-0000-0000-C000-000000000046}#1.7#0#C:\Program Files (x86)\Microsoft Office\Office14\EXCEL.EXE#Microsoft Excel 14.0 Object Library
' Calculate in Excel.bas for FilmStar DESIGN 32-bit
' Copyright 1999-2014 FTG Software Associates
'
' ****************************************************
'    Warning: Save modified program with new name!!!
' ****************************************************

' Calculate spectrum in DESIGN and compute
' Reflectance Average and Std Dev in Excel
DefInt i-N
DefSng O-Z
Dim nData
Sub Main
    ReDim xd(1)
    k = Macro("Calculate;DataCopy;")
    xd = Spectrum_X     ' Get X values
    nData = UBound(xd)  ' # of data points
    Calculate
End Sub
Private Sub Calculate()
    ' Declare object variables for Microsoft Excel,
    ' application workbook, and worksheet objects.
    Dim xlApp As Excel.Application
    Dim xlBook As Excel.Workbook
    Dim xlSheet As Excel.Worksheet
    Dim isXLOpen As Boolean
    ' Assign object references to the variables. Use
    ' Add methods to create new workbook and worksheet
    ' objects.
    On Error Resume Next    ' IMPORTANT
    Set xlApp =  GetObject(, "Excel.Application")
    If Err.Number = 0 Then
        ' Use visible Excel workbook
        isXLOpen = True
        Set xlBook = xlApp.Workbooks("Book1")  ' not really used here
        Set xlSheet = xlApp.Worksheets("Sheet1")
    Else
        ' Open Excel workbook in background
        Set xlApp = New Excel.Application
        Set xlBook = xlApp.Workbooks.Add
        Set xlSheet = xlBook.Worksheets.Add
    End If
    xlApp.DisplayAlerts = False ' no save prompt upon exiting Excel
    xlSheet.Paste Destination:=xlSheet.Range("A5")  ' paste spectrum at A5
    xlSheet.Range("A1").Formula = "=AVERAGE(B5:B" & CStr(4 + nData) &")"
    xlSheet.Range("A2").Formula = "=STDEV(B5:B" & CStr(4 + nData) &")"
    Ave$ = Format$(xlSheet.Range("A1").Value, "0.00000")
    Dev$ = Format$(xlSheet.Range("A2").Value, "0.00000")
    MsgBox "Refl Average = " & Ave$ & vbCrLf & "Refl Std Dev = " & Dev$, vbOkOnly, "Excel Calculation"
    On Error GoTo 0
    If isXLOpen Then
        xlSheet.Cells.Select
        xlApp.Selection.ClearContents
        xlSheet.Range("A1").Select
    Else
        xlApp.Quit  ' Quit Excel
    End If
    ' Release objects.
    Set xlApp = Nothing
    Set xlBook = Nothing
    Set xlSheet = Nothing
End Sub




