' Used by TFCalc.bas
Private Declare Function GetForegroundWindow Lib "user32" () As Long
Private Declare Function GetWindowTextLength Lib "user32"Alias "GetWindowTextLengthA" (ByVal hwnd As Long) As Long
Private Declare Function GetWindowText Lib "user32" Alias "GetWindowTextA" (ByVal hwnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Private Declare Function GetParent Lib "user32" (ByVal hwnd As Long) As Long

Public Function WindowTitle(ByVal ReturnParent As Boolean) As String
    Dim i&, j&
    i = GetForegroundWindow
    If ReturnParent Then
        Do While i <> 0
            j = i
            i = GetParent(i)
        Loop
        i = j
    End If
    WindowTitle = GetWindowTitle(i)
End Function

Private Function GetWindowTitle(ByVal hwnd As Long) As String
    Dim l&, s$
    l = GetWindowTextLength(hwnd)
    s = Space(l + 1)
    GetWindowText hwnd, s, l + 1
    GetWindowTitle = Left$(s, l)
End Function
