' MonitorWidth.bas for FilmStar DESIGN
' Copyright 2012 FTG Software Associates
'
' ****************************************************
'    Warning: Save modified program with new name!!!
' ****************************************************
'
' Adds monochromator bandwidth to R/T vs thickness (monitor) calculations
'
' To run this program As a Macro, insert the following under Evaluate...Macro...Edit
' (adjusting if your winfilm directory is different)
'
'   Description   Monitor Bandwidth
'   Command       basrun c:\winfilm\basic32\MonitorWidthHigh.bas;

Public wh!
Option Explicit

Sub Main
    On Error Resume Next    ' in case Cancel pushed
    wh = Val(IniString("Monochromator", "Bandwidth"))
    If wh = 0 Then wh = 5
    wh = Val(InputBox("50% bandwidth in nm?", "Monochromator Simulation", CStr(wh)))
    If wh > 0 Then
        HighRes   ' low + high + monochromatic
        WriteIniString "Monochromator", "Bandwidth", CStr(wh)
    End If
End Sub

Sub HighRes	' 13 points
    Dim i, w!, z!, s$
    PlotClose
    PlotLegendOn False
    PlotTitle = "Bandwidth = " & CStr(wh) & " nm"
    PlotActivate
    w! = EvalWave
	For z = w - 1.5*wh To w + 1.5*wh Step wh/4
		EvalWave = z
		Calculate
		PlotNext
	Next z
    s$ = "B=(.002*(B+N) + .0131*(C+M) + .0625*(D+L) + .2102*(E+K) + .5*(F+J) + .8409*(G+I) + H)/4.2574;"
	For i = 78 To 67 Step -1
		s$ = s$ & "del " & Chr$(i) & ";"
	Next i
    PlotRun s$
    EvalWave = w
End Sub
