'#Reference {A518A78A-ECF7-4AD8-AFF1-A7482FEA9A0F}#1.10#0#C:\Winfilm\Index1.exe#FtgIndex1
' PlotInINDEX.bas for FilmStar DESIGN
' Copyright 2020 FTG Software
' Plot DESIGN dispersive index function or table in INDEX
Option Explicit
DefLng I-N
DefSng A-H, O-Z
Dim INDX As FtgIndex1.clsBasic
' Modify as required...
Const wMin = 400
Const wMax = 800
Const wDel = 10
Const Symb$ = "SUB" ' Index Symbol or row number in Film Indices
Const kLog = 2      ' k plot: 0 do not change  1 Linear  2 Log

Sub Main
    If Not IsRunning("INDEX1.EXE") Then
        MsgBox "Start FilmStar INDEX and try again", vbExclamation, "Plot in INDEX"
        Exit Sub
    End If
    Set INDX =CreateObject("FtgIndex1.clsBasic")
    GetIndexArray
    With INDX
        .PlotDeleteAll
        .IndexPaste
        .AutoAxes , kLog
    End With
    Set INDX = Nothing
End Sub

Private Sub GetIndexArray
    Dim xn, xk, w, s$
    For w = wMin To wMax Step wDel
        GetIndex Symb$, w, xn, xk
        s$ = s$ & CStr(w) & vbTab & CStr(xn) & vbTab & CStr(xk) & vbCrLf
    Next w
    Clipboard s$
End Sub

Private Function IsRunning(p$) As Boolean
    Dim objList As Object
    Set objList = GetObject("winmgmts:").ExecQuery("select * from win32_process where name='" & p$ & "'")
    IsRunning = (objList.Count > 0)
End Function
