' TFCalcMatl Export.bas for FilmStar INDEX 32-bit
' Copyright 2003 FTG Software Associates
'
'    11.27.2003...Initial version
'
' ****************************************************
'    Warning: Save modified program with new name!!!
' ****************************************************
'
' Exports TFCalc materials files to disk
'
'    ADJUST NEXT LINE for your computer
Const TFCalcPath$ = "c:\Program Files\TFCalc_Demo\material\"
'
Option Explicit
Option Base 1
DefInt i-N
DefSng A-H, O-Z
Const Title$ = "TFCalc Materials"

Sub Main()
    Dim i, file$, s$
    On Error GoTo DiskErr
	If nIndex =0 Then End  ' no values - do nothing
    file$ = GetFilePath$(IndexName, "mat", TFCalcPath$, "Save TFCalc Materials File", 3)
    If file$ = "" Then End
    Open file$ For Output As #1
	Print #1, "VERSION*1*"
	Print #1, "FORMAT*1*"
	Print #1, "POINTS*" & CStr$(nIndex) & "*"
	ReDim xIndx(1, 1)
	xIndx = nkTable
    For i = 1 To nIndex
        s$ = Format$(xIndx(i, 1), "0.0##") & "*" & Format$(xIndx(i, 2), "0.0#####") & "*"
        If xIndx(i, 3) = 0 Then
			s$ = s$ & "0.0"
		ElseIf xIndx(i, 3) < .001 Then
			s$ = s$ & Format$(xIndx(i, 3), "0.0###e+0")
		Else
			s$ = s$ & Format$(xIndx(i, 3), "0.0#####")
		End If
		' Replace included in case European notation utilized
		Print #1, "DATA1*" & CStr(i) & "*" & LCase(Replace(s$, ",", ".")) & "*"
	Next i
    Print #1, "COMMENT**"
    Print #1, "EOF*"
	Close
    Exit Sub
DiskErr:
    Close
End Sub

