' nkTable.bas for FilmStar DESIGN
' Copyright 2018 FTG Software Associates
'
' This program exports a w,n,k table
Option Base 1
Option Explicit
Const ExpPath$ = PgmPath$ & "\Export"  ' usually c:\Winfilm\Export

Sub Main
    Dim i%, xin!(), file$
    If InStr(PgmCaption$, "INDEX") = 0 Then
        MsgBox "This program must be run from FilmStar INDEX", vbCritical, "Export n,k Table"
        End
    End If
    file$ = GetFilePath(IndexName$, "tab", ExpPath$, "n,k Table", 3)
    If Trim$(file$) = "" Then End
    xin = nkTable
    If nIndex > 0 Then
        Open file$ For Output As #1
        For i = 1 To nIndex
            Print #1, CStr(xin(i,1)) & vbTab & CStr(xin(i, 2)) & vbTab & CStr(xin(i,3))
        Next i
        Close #1
    Else
        MsgBox "No n,k data to export", vbInformation, "Export n,k Table"
    End If
End Sub
