' MultCalcXL.bas for FilmStar DESIGN
' Copyright 2011 FTG Software Associates

' ****************************************************
'    Warning: Save modified program with new name!!!
' ****************************************************

' Insert spectra into Excel Workbook MultCalc0.xls

Option Explicit
Option Base 1
DefInt i-n
DefSng A-H, O-Z
Dim nDat, iCol
Const path$ = "C:\Winfilm\Workbook\"
Const kType = 2   ' 1 Reflectance, 2 Transmittance

Sub Main
	Dim i, ang, xDat()
	WbCloseAll
	If Not WbOpen(path$ & "MultCalc0.xls") Then End
	WbSetText "A1", "Angle": WbSetText "A2", "Pol"
	Calculate
	xDat = Spectrum_X: nDat = UBound(xDat)
	For i = 1 To nDat
		WbSetNum Cell$(1, i + 2), xDat(i)
	Next i
	For ang = 0 To 60 Step 15	' adjust as required
		DoCalc ang, "P"
		DoCalc ang, "S"
	Next ang
    WbSaveAs path$ & "MultCalc1.xls"
End Sub

Sub DoCalc(ang, p$)
	Dim i, xDat(), yDat()
	Angle = ang: Pol = p$: iCol = iCol + 1
	If iCol < 257 Then	' FS Workbook limit
		WbSetText Cell$(iCol + 1, 1), CStr(ang)
		WbSetText Cell$(iCol + 1, 2), p$
		Calculate
		yDat = Spectrum_Y
		For i = 1 To nDat
			WbSetNum Cell$(iCol + 1, i + 2), yDat(i, kType)
		Next i
	End If
End Sub

Function Cell$(iCol, iRow)
    Dim k, c1$, c2$
	If iCol < 27 Then
		c2$ = Chr$(iCol + 64)
	Else
		c1$ = Chr$(65 + (iCol - 1) Mod 26)
		c2$ = Chr$(64 + (iCol - 1)\26)
	End If
	Cell$ = c2$ & c1$ & CStr(iRow)
End Function

