' PLOTCONFIG.BAS for FilmStar DESIGN, MEASURE/Scantraq
' Copyright 2000-3 FTG Software Associates
'
' ****************************************************
'    Warning: Save modified program with new name!!!
' ****************************************************
'
' After manually adjusting plot module settings, click
' File...Create BASIC Setup to create a sequence for
' for pasting into a BASIC program
'
Option Explicit
DefInt I-N

Sub Main
    Dim kFmt
    On Error GoTo Done  ' Cancel button generates error
    Dim PltList$(3)     ' list format options
    PltList$(0) = "Print in Word"
    PltList$(1) = "Web Page - Plain"
    PltList$(2) = "Web Page - Fancy"
    PltList$(3) = "PowerPoint Presentation"
    ' add additional cases as required
    Begin Dialog UserDialog 470,182,"Select Plot Format"
        Text 40,18,150,15,"&Description"
        ListBox 40,35,260,126, PltList(),.lstPlot
        OKButton 340,35,90,25
        CancelButton 340,70,90,25
    End Dialog
    Dim dlg As UserDialog
    Dialog dlg
    kFmt = dlg.lstPlot
    Select Case kFmt
    Case 0   ' Print in Word
        PlotConfig 80081, 40, 0
        PlotSize 8475, 7185, 82
        PlotTitleFont = "Arial"
        PlotTitleSize = 120
        PlotLegendSize = 100
        PlotAxesFont = "Arial"
        PlotAxesLabelSize = 110
        PlotAxesNumberSize = 100
        PlotFontFixed = False
        PlotFontFixedSize = 2
        PlotAxesConfig = 0
        PlotEdgeSpace 75, 75, 75, 75
        PlotAxesSpace .15, .3, .3, 2
        PlotBitmapMode = False
        PlotTableColors 8454143, 0, 16384, 16384
    Case 1   ' Web Page - Plain
        PlotConfig 94289, 46, 0
        PlotSize 6420, 5835, 104
        PlotTitleFont = "Arial"
        PlotTitleSize = 110
        PlotLegendSize = 100
        PlotAxesFont = "Arial"
        PlotAxesLabelSize = 110
        PlotAxesNumberSize = 100
        PlotFontFixed = False
        PlotFontFixedSize = 2
        PlotAxesConfig = 6
        PlotEdgeSpace 75, 75, 75, 75
        PlotAxesSpace .15, .3, .3, 2
        PlotBitmapMode = False
        PlotTableColors 8454143, 0, 16384, 16384
    Case 2  ' Web Page - Fancy
        PlotConfig 608457, 101138, 0
        PlotSize 8025, 7050, 91
        PlotTitleFont = "Eras Demi ITC"
        PlotTitleSize = 150
        PlotLegendSize = 100
        PlotAxesFont = "Arial"
        PlotAxesLabelSize = 110
        PlotAxesNumberSize = 100
        PlotFontFixed = False
        PlotFontFixedSize = 2
        PlotAxesConfig = 0
        PlotEdgeSpace 75, 75, 75, 75
        PlotAxesSpace .15, .3, .3, 2
        PlotBitmapMode = True
        PlotBitmap(1) = ""
        PlotBitmap(2) = ""
        PlotBitmapType = 1
        PlotBitmapColors 10485760, 12615680, 9068032, 16747546, 65535, 14248960
        PlotTableColors 8454143, 0, 16384, 16384
    Case 3   ' PowerPoint Presentation
        PlotConfig 78033, 27, 0
        PlotSize 10245, 8340, 90
        PlotTitleFont = "Arial"
        PlotTitleSize = 120
        PlotLegendSize = 100
        PlotAxesFont = "Arial"
        PlotAxesLabelSize = 110
        PlotAxesNumberSize = 100
        PlotFontFixed = False
        PlotFontFixedSize = 2
        PlotAxesConfig = 6
        PlotEdgeSpace 75, 75, 75, 75
        PlotAxesSpace .15, .3, .3, 2
        PlotBitmapMode = False
        PlotTableColors 8454143, 0, 16384, 16384
    End Select
    PlotClose       ' close plot module if open
    PlotActivate    ' open plot module
Done:
End Sub

