' Scan & Show Average.bas for FilmStar MEASURE/Scantraq
' Copyright 1999-2001 FTG Software Associates
'
' ****************************************************
'    Warning: Save modified program with new name!!!
' ****************************************************
'
' This program combines a sample scan with a plot including
' reflectace or transmittance average

Option Base 1
DefInt i-N
DefSng A-H, O-Z
Option Explicit

Sub Main
    Dim i, yDat(), nDat, yAve, ySum
    PlotSetup       ' get plot setup
    AxesDraw        ' new axes
    DataType = 1    ' sample mode
    Scan True       ' do the scan
    yDat() = Spectrum_Y
    nDat = UBound(yDat)
    For i = 1 To nDat
        ySum = ySum + yDat(i)
    Next i
    yAve = ySum / nDat  ' compute average

'    The following sequence was generated in Setup.. Annotations.. Create BASIC Code

     ' FSPlot setup code for FilmStar BASIC:
'    PlotClose
'    PlotAnnotate True
'    PlotAnnotation = "VERS2" & vbCrLf & _
'    "hline 2.097806,0,|rAverage 2.10%,16711680;0"
     
'   Constants (i.e. 2.10) are replaced by functions (i.e. 100 * yAve) as required
    PlotClose
    PlotAnnotate True
    PlotAnnotation = "VERS2" & vbCrLf & _
    "hline" & Str$(100 * yAve) & ",0,|rAverage " & Format$(100 * yAve, "0.00") & "%,16711680;0"

    PlotActivate
    PlotNext
End Sub

Sub PlotSetup
'    The following was generated in File.. Create BASIC Code

    ' FSPlot setup code for FilmStar BASIC:
    PlotConfig 353289, 100130, 0
    PlotSize 9180, 7860, 74
    PlotTitleFont = "Arial"
    PlotTitleSize = 120
    PlotLegendSize = 100
    PlotAxesFont = "Arial"
    PlotAxesLabelSize = 110
    PlotAxesNumberSize = 110
    PlotFontFixed = False
    PlotFontFixedSize = 2
    PlotAxesConfig = 0
    PlotEdgeSpace 75, -20, 45, 45
    PlotAxesSpace .15, .25, .5, 1.5
    PlotColors "255, 16711680, 65280, 16711935, 8421376, 32896, 0, 8421504, 128, 8388608, 32768, 8388736"
    PlotBitmapMode = False
End Sub
