' ThickSolve.bas for FilmStar DESIGN
' Copyright 2004-2011 FTG Software Associates
'
' This program finds the best starting value for
' thickness determination
Option Explicit
DefInt I-N
DefSng A-H, O-Z
Const qMin = 200    ' min thickness (nm)
Const qMax = 900    ' max thickness
Const qDel = 10     ' interval
Sub Main
    Dim t, nLayers, q(), qt$(), qd$(), qBest, x, xMer
    xMer = 1E+10
    GetLayers nLayers, q(), qt(), qd()   ' get design
    If nLayers <> 1 Then
        MsgBox "Single layer design required!", vbCritical, "ThickSolve.bas"
        End
    End If
    For t = qMin To qMax Step qDel
        q(1) = t
        SetLayers q(), qt()   ' assign thickness
        x = Merit
        If x < xMer Then      ' better solution found!
            qBest = q(1)
            xMer = x
        End If
    Next t
    q(1) = qBest
    SetLayers q(), qt()   ' assign best thickness
End Sub
